//DESCRIPTION: Cirilicni tekst, koji nije podvucen, u celom dokumentu menja u latinicni
//Autor: Bojan Stojanovic (bojans@sezam.com); Verzija za InDesign CS3

app.findTextPreferences = NothingEnum.nothing;
app.findTextPreferences.underline = false;
app.changeTextPreferences = NothingEnum.nothing;

app.findChangeTextOptions.caseSensitive = true;
app.findChangeTextOptions.includeFootnotes = false;
app.findChangeTextOptions.includeHiddenLayers = false;
app.findChangeTextOptions.includeLockedLayersForFind = false;
app.findChangeTextOptions.includeLockedStoriesForFind = false;
app.findChangeTextOptions.includeMasterPages = false;
app.findChangeTextOptions.wholeWord = false;

var nadji = ["Џ", "џ", "Љ", "љ", "Њ", "њ", "А", "Б", "В", "Г", "Д", "Ђ", "Е", "Ж", "З", "И",
                    "Ј", "К","Л", "М", "Н", "О", "П", "Р", "С", "Т", "Ћ", "У", "Ф", "Х", "Ц", "Ч", "Ш",
					"а", "б", "в", "г", "д", "ђ", "е", "ж", "з", "и", "ј", "к", "л", "м", "н", "о", "п", "р",
					"с", "т", "ћ", "у", "ф", "х", "ц", "ч", "ш"];

var zameni = ["Dž", "dž", "Lj", "lj", "Nj", "nj", "A", "B", "V", "G", "D", "Đ", "E", "Ž", "Z",  "I",
                       "J", "K", "L", "M", "N", "O", "P", "R", "S", "T", "Ć", "U", "F", "H", "C", "Č", "Š",
					   "a", "b", "v", "g", "d", "đ", "e", "ž", "z", "i", "j", "k", "l", "m", "n", "o", "p", "r",
					   "s", "t", "ć", "u", "f", "h", "c", "č", "š"];
					   
var nadji2 = ["NjA", "NjE", "NjI", "NjO", "NjU", "LjA", "LjE", "LjI", "LjO", "LjU", "DžA", "DžE", "DžI", "DžO", "DžU"];

var zameni2 = ["NJA", "NJE", "NJI", "NJO", "NJU", "LJA", "LJE", "LJI", "LJO", "LJU", "DŽA", "DŽE", "DŽI", "DŽO", "DŽU"];

for(var i = 0; i < 60; i++) {
   app.findTextPreferences.findWhat = nadji[i];
   app.changeTextPreferences.changeTo = zameni[i];
   app.documents.item(0).changeText();
}

for(var i = 0; i < 15; i++) {
   app.findTextPreferences.findWhat = nadji2[i];
   app.changeTextPreferences.changeTo = zameni2[i];
   app.documents.item(0).changeText();
}

app.findTextPreferences = NothingEnum.nothing;
app.findTextPreferences.underline = true;
app.changeTextPreferences = NothingEnum.nothing;
app.changeTextPreferences.underline = false;
app.documents.item(0).changeText();
app.findTextPreferences = NothingEnum.nothing;
app.changeTextPreferences = NothingEnum.nothing;
